=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'
require 'date'

# Unit tests for Shippo::AddressValidationResultsMessage
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'AddressValidationResultsMessage' do
  before do
    # run before each test
    @instance = Shippo::AddressValidationResultsMessage.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of AddressValidationResultsMessage' do
    it 'should create an instance of AddressValidationResultsMessage' do
      expect(@instance).to be_instance_of(Shippo::AddressValidationResultsMessage)
    end
  end
  describe 'test attribute "code"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
      # validator = Shippo::EnumTest::EnumAttributeValidator.new('String', ["verification_error", "unknown_street", "component_mismatch_error", "multiple_match", "sub_premise_number_invalid", "sub_premise_number_missing", "premise_number_invalid", "premise_number_missing", "box_number_invalid", "box_number_missing", "pmb_number_missing", "postal_code_change", "administrative_area_change", "locality_change", "dependent_locality_change", "street_name_change", "street_type_change", "street_directional_change", "sub_premise_type_change", "sub_premise_number_change", "double_dependent_locality_change", "subadministrative_area_change", "subnational_area_change", "po_box_change", "premise_type_change", "house_number_change", "organization_change", "extraneous_information", "usps_door_inaccessible", "administrative_area_partial", "city_partial", "street_partial", "building_partial", "subpremise_partial", "administrative_area_full", "city_full", "thoroughfare_full", "premises_full", "subpremise_full", "geocoded_street", "geocoded_neighborhood", "geocoded_community", "geocoded_state", "geocoded_rooftop", "geocoded_interpolated_rooftop", "invalid_postal_code", "postal_code_not_found", "empty_request", "service_error", "street_detail_missing", "Invalid City/State/Zip", "Default Match", "Unknown Street", "Address Not Found", "Non-Deliverable ZIP4", "Multiple Responses", "Invalid Dual Address", "Invalid State", "Invalid City", "Ambiguous Address"])
      # validator.allowable_values.each do |value|
      #   expect { @instance.code = value }.not_to raise_error
      # end
    end
  end

  describe 'test attribute "source"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
      # validator = Shippo::EnumTest::EnumAttributeValidator.new('String', ["Shippo Address Validator", "UPS"])
      # validator.allowable_values.each do |value|
      #   expect { @instance.source = value }.not_to raise_error
      # end
    end
  end

  describe 'test attribute "text"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  describe 'test attribute "type"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
